# DepositAuthorizedRequest | xrpl
Documentation for xrpl

# Interface DepositAuthorizedRequest

The deposit_authorized command indicates whether one account is authorized to send payments directly to another. Expects a response in the form of a DepositAuthorizedResponse.

#### Hierarchy

- BaseRequest
  - DepositAuthorizedRequest

- Defined in packages/xrpl/src/models/methods/depositAuthorized.ts:12

#####
Index

### Properties

api_version?
command
destination_account
id?
ledger_hash?
ledger_index?
source_account

## Properties

### `Optional` api_version

api_version?: number

The API version to use. If omitted, use version 1.

Inherited from BaseRequest.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:14

### command

command: "deposit_authorized"

Overrides BaseRequest.command

- Defined in packages/xrpl/src/models/methods/depositAuthorized.ts:13

### destination_account

destination_account: string

The recipient of a possible payment.

- Defined in packages/xrpl/src/models/methods/depositAuthorized.ts:17

### `Optional` id

id?: string | number

A unique value to identify this request. The response to this request uses the same id field. This way, even if responses arrive out of order, you know which request prompted which response.

Inherited from BaseRequest.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:10

### `Optional` ledger_hash

ledger_hash?: string

A 20-byte hex string for the ledger version to use.

- Defined in packages/xrpl/src/models/methods/depositAuthorized.ts:19

### `Optional` ledger_index

ledger_index?: LedgerIndex

The ledger index of the ledger to use, or a shortcut string to choose a ledger automatically.

- Defined in packages/xrpl/src/models/methods/depositAuthorized.ts:24

### source_account

source_account: string

The sender of a possible payment.

- Defined in packages/xrpl/src/models/methods/depositAuthorized.ts:15

Generated using TypeDoc